<CsoundSynthesizer>



<CsOptions>

</CsOptions>



<CsInstruments>

sr = 44100 ; Sampling Rate

ksmps = 128 ; Audiosamples pro Control-Wert

nchnls = 1 ; Zahl der Audiokanle



instr 1 ; Instrument Nummer 1

aMyResult pluck p4, p5, 110, 0, 6

out	aMyResult

endin



instr 2 ; Instrument Nummer 2

iAmp = ampdb(p4) ; db nach Amplitude

iNote = cpspch(p5) ; Octave/Pitch-Class nach Frequenz

kEnv linen iAmp, 0.1, p3, 0.2

kVib oscil 1, 10.0, 1

; aMyResult oscil kEnv, iNote + 3.0 * kVib, 2

aMyResult oscil kEnv, cpsoct(octcps(iNote) + kVib/12), 2

out	aMyResult

endin



</CsInstruments>



<CsScore>

; Sinus

f 1 0 4096 10 1

; Grundton und einige Harmonische

f 2 0 4096 10 0.7 0.1 0.3 0.2 0.1



; Tempo

t 0 200



; Instrument Start Dauer Amplitude Frequenz

i 1 0 1 1000 110

i 1 + . < 220 ; .: Wert bernehmen, < : ramping

i 1 + . < 110

i 1 + . < 220

i 1 + . < 110

i 1 + . < 220

i 1 + . < 110

i 1 + . 10000 220



i 2 8 1 60 7.00

i 2 + . < 7.01

i 2 + . < 7.02

i 2 + . < 7.03

i 2 + . < 7.04

i 2 + . < 7.05

i 2 + . < 7.06

i 2 + . 80 7.07



i 1 4.456 2.345 10000 55

i 2 4.456 2.345 70 8.01

i 2 4.456 2.345 70 8.03

i 2 4.456 2.345 80 8.04



</CsScore>



</CsoundSynthesizer><bsbPanel>

 <label>Widgets</label>

 <objectName/>

 <x>966</x>

 <y>401</y>

 <width>400</width>

 <height>228</height>

 <visible>true</visible>

 <uuid/>

 <bgcolor mode="background">

  <r>160</r>

  <g>158</g>

  <b>162</b>

 </bgcolor>

 <bsbObject version="2" type="BSBDisplay">

  <objectName/>

  <x>51</x>

  <y>30</y>

  <width>80</width>

  <height>25</height>

  <uuid>{3465fdad-4445-4a40-b668-b0967bd88bb3}</uuid>

  <visible>true</visible>

  <midichan>0</midichan>

  <midicc>-3</midicc>

  <label>empty :-)</label>

  <alignment>left</alignment>

  <font>Lucida Grande</font>

  <fontsize>10</fontsize>

  <precision>3</precision>

  <color>

   <r>0</r>

   <g>0</g>

   <b>0</b>

  </color>

  <bgcolor mode="nobackground">

   <r>255</r>

   <g>255</g>

   <b>255</b>

  </bgcolor>

  <bordermode>border</bordermode>

  <borderradius>1</borderradius>

  <borderwidth>1</borderwidth>

 </bsbObject>

</bsbPanel>

<bsbPresets>

</bsbPresets>

<MacOptions>

Version: 3

Render: Real

Ask: Yes

Functions: ioObject

Listing: Window

WindowBounds: 966 401 400 228

CurrentView: io

IOViewEdit: On

Options: -b128 -A -s -m167 -R

</MacOptions>

<MacGUI>

ioView background {41120, 40606, 41634}

ioText {51, 30} {80, 25} display 0.000000 0.00100 "" left "Lucida Grande" 10 {0, 0, 0} {61440, 61440, 61440} nobackground noborder empty :-)

</MacGUI>

